<?php

namespace HaoZiTeam\WPChatGPT;

defined( 'ABSPATH' ) || exit;

use HaoZiTeam\WPChatGPT\Service\Base;
use HaoZiTeam\WPChatGPT\Service\Setting;

class Plugin {

	/**
	 * 创建一个插件实例
	 */
	public function __construct() {
		add_action( is_multisite() ? 'network_admin_menu' : 'admin_menu', array( $this, 'admin_menu' ) );
		new Base();
		new Setting();
	}

	/**
	 * 插件页设置
	 */
	public function admin_menu(): void {
		// 插件页设置
		add_filter( 'plugin_action_links', function ( $links, $file ) {
			if ( 'wp-chatgpt/wp-chatgpt.php' !== $file ) {
				return $links;
			}
			$settings_link = '<a href="' . add_query_arg( array( 'page' => 'wp-chatgpt' ), 'options-general.php' ) . '">' . esc_html__( '设置',
					'wp-chatgpt' ) . '</a>';
			array_unshift( $links, $settings_link );

			return $links;
		}, 10, 2 );
	}
}
